/**********************************************************************************************************************

Global page elements

**********************************************************************************************************************/
html,
body {
    width: 100%;
    height: 100%;
    padding: 0 0 10px 0;
    margin: 0;
    overflow: hidden;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    background-color: #fafafa;
}

.row {
    margin-right: 0px !important;
    margin-left: 0px !important;
}

p {
    font-size: 12px;
    color: black;
}

/**********************************************************************************************************************

Top Bar 

**********************************************************************************************************************/
#headerDiv {
    background-color: #fafafa;
    padding: 10px;
}

#headerLogo {
    margin: 10px;
}

.topbarDropdownBtn {
    position: absolute;
    top: 10px;
    right: 0;
}

#dropdownMenuButton {
    float: right;
    vertical-align: middle;
    margin: 5px;
}

/**********************************************************************************************************************

Brent's Bootstrap Tweaks
    
 **********************************************************************************************************************/
 .bmcard {
    border: 0 !important;
    border-radius: 1 !important;
    background-color: #fafafa !important;
}

.bmcard-header {
    border-bottom: 0 !important;
}

.bmpanel-heading {
    padding: 10px 10px !important;
}

.bmlabel {
    font-size: 13px !important;
    font-weight: 400 !important;
}

.bmpanel {
    background-color: #fff;
    border: 1px solid #ddd;
}

.bmbutton {
    margin-bottom: 8px !important;
}

/**********************************************************************************************************************

Leftbox
    
 **********************************************************************************************************************/
#leftbox {
    float: left;
    background: white;
    padding: 0 10px;
    width: 100%;
    max-width: 325px;
    height: 100vh;
    overflow: auto;
    background-color: #fafafa;
    vertical-align: middle;
}

.azureMapsLogo {
    left: 75px;
    position: absolute;
    bottom: 10px;
}

#panelBodyTitle {
    color: black;
    font-weight: bold;
    text-decoration: underline;
    font-size: 13px;
    margin: 0 !important;
}

/* Leftbox Panel/card items */
.panel-title {
    position: relative;
    font-size: 13px !important;
}

.panel-title::after {
    content: "\f107";
    color: #333;
    top: -2px;
    right: 0px;
    position: absolute;
    font-family: "FontAwesome"
}

.panel-title[aria-expanded="true"]::after {
    content: "\f106";
}

/* Searchbox */
#queryTbx {
    width: 95%;
    margin: 5px;
}

.card-header {
    padding: 0 !important;
    margin-bottom: 8px;
}

.treeview {
    margin: 10px;
    font-family: Verdana;
    font-size: 12px;
    color: black;
}

/* Treeview Menu */
.treeview .treeviewChBx {
    display: none;
}

.treeview ul {
    padding: 0 0 0 15px;
    display: none;
    list-style: none;
}

.treeview ul:first-child {
    padding-left: 0;
}

.treeview li {
    padding: 0;
}

.treeview li span {
    margin: 2px 0;
    display: list-item;
    list-style: square;
}

.treeview label {
    display: inline-block;
    transition: 0.2s;
    padding-right: 10px;
    margin: 5px 0;
    height: 20px;
    line-height: 14px;
    cursor: pointer;
}

.treeview label::before {
    display: inline-block;
    margin-right: 5px;
    width: 14px;
    height: 14px;
    text-align: center;
    background: #1976d2;
    color: #FFF;
}

.treeview ul:first-child,
.treeview [type=checkbox]:checked~ul {
    display: block;
}

.treeview [type=checkbox]:checked~label::before {
    content: "-";
}

.treeview [type=checkbox]:not(:checked)~label::before {
    content: "+";
}

/* OGC Layer Examples */
#layerPicker {
    width: 200px;
    height: 200px;
    overflow-y: auto;
}

.content {
    padding: 0 18px;
    display: none;
}
#servicesDD{
    width: 50%;
}
/* Choropleth Legend */
#legend {
    position: relative;
    top: 1px;
    left: 5px;
    font-family: Arial;
    font-size: 12px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    padding: 5px;
    line-height: 20px;
}

#legend i {
    width: 18px;
    height: 18px;
    float: left;
    margin-right: 8px;
    opacity: 0.7;
}
.legend {
    position: relative;
    top: 1px;
    left: 5px;
    font-family: Arial;
    font-size: 12px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    padding: 5px;
    line-height: 20px;
}
.legend .color-box{
    width:10px;
    height:10px;
}

/* Extruded Choropleth Legend */
#extrudedLegend {
    position: relative;
    top: 5px;
    left: 5px;
    font-family: Arial;
    font-size: 12px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    padding: 5px;
    line-height: 20px;
}

#extrudedLegend i {
    width: 18px;
    height: 18px;
    float: left;
    opacity: 0.7;
}

/* Animated Legend */
.animatedLegend {
    position: relative;
    bottom: 5px;
    left: 5px;
    width: 100%;
    font-family: Arial;
    font-size: 12px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    padding: 5px;
}

#animatedLegendCanvas {
    width: 100%;
    height: 15px;
    margin-top: 5px;
}

.animatedlegend-min {
    padding-left: 10px;
}

.animatedlegend-mid {
    text-align: center;
}

.animatedlegend-max {
    position: absolute;
    right: 0;
}

.animatedlegend-label {
    position: relative;
}

#animatedlegend-row {
    background-color: white;
}

#playPauseBtn {
    position: relative;
}

/* County Legend */
.countyLegend {
    position: relative;
    bottom: 5px;
    left: 5px;
    width: 100%;
    font-family: Arial;
    font-size: 12px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 5px;
    padding: 5px;
}

#countyLegendCanvas {
    width: 100%;
    height: 15px;
    margin-top: 5px;
}

.countylegend-min {
    padding-left: 10px;
}

.countylegend-mid {
    text-align: center;
}

.countylegend-max {
    position: absolute;
    right: 0;
}

.countylegend-label {
    position: relative;
}

#countylegend-row {
    background-color: white;
}

/* Swipe Map Legend */
.swipemaplegend {
    font-family: Arial;
    font-size: 12px;
    position: relative;
    background-color: #fff;
    padding: 5px;
    border-radius: 5px;
}
.swipemaplegend i {
    width: 12px;
    height: 12px;
    float: left;
    margin-right: 8px;
    opacity: 0.7;
}
/* Download Button */
#downloadButton {
    float: none;
    vertical-align: middle;
    margin: 5px;
    margin-left: 20px;
}
/**********************************************************************************************************************

 Layer Design Options window

**********************************************************************************************************************/
#CodeOutput {
    width: 200px;
    height: 200px;
    overflow-y: auto;
}

#hmCodeOutput {
    width: 200px;
    height: 200px;
    overflow-y: auto;
}

.copyBtn {
    float: right;
}

table td:nth-of-type(1) {
    width: 120px;
}

table td:nth-of-type(2) {
    width: 200px;
}

.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}

.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 5px;
    transition: 0.3s;
    font-size: 12px;
}

.tab button:hover {
    background-color: #ddd;
}

.tab button.active {
    background-color: #ccc;
}

.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
}


.hmtabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
}

/* Dropdown Button */
.dropbtn {
    background-color: white;
    color: white;
    height: 20px;
    width: 150px;
    border: none;
    cursor: pointer;
}

/* Dropdown button on hover & focus */
.dropbtn:hover,
.dropbtn:focus {
    background-color: white;
}

/* The container <div> - needed to position the dropdown content */
.dropdown {
    position: relative;
    display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

/* Links inside the dropdown */
.dropdown-content a {
    color: black;
    padding: 6px;
    display: block;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {
    background-color: #ddd
}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {
    display: block;
}

/**********************************************************************************************************************

Map 

**********************************************************************************************************************/
#myMap {
    height: 100vh;
}

.mapContainer {
    position: relative;
    width: calc(100% - 325px);
    padding: 0 10px 10px 0 !important;
    height: calc(100vh - 10px);
}

#previewMap {
    width: 350px;
    height: 300px;
    overflow: hidden;
}
.swipeMapContainer {
    position: relative;
    width: calc(100% - 325px);
    padding: 0 10px 10px 0 !important;
    height: calc(100vh - 10px);
}
.map {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    min-width:290px;
    height: 100vh;
}

/**********************************************************************************************************************

Drag and drop file upload

**********************************************************************************************************************/
.fileslbl {
    display: flex;
    align-items: center;
    justify-content: center;
    /* height: 25vh; */
    background-color: red;
    color: white;
    padding: 16px;
    text-align: center;
    transition: .5s;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-iteration-count: infinite;
}

#filesfld {
    display: none;
}

#progress {
    width: 0;
    background-color: #1976d2;
    color: white;
    font-weight: bold;
    font-size: 14px;
    line-height: 25px;
    padding: 0 5px;
}

@keyframes dropbox {
    0% {
        background-image: repeating-linear-gradient(30deg, green 1%, green 3%, darkgreen 5%, darkgreen 5%);
    }

    50% {
        background-image: repeating-linear-gradient(30deg, darkgreen 1%, darkgreen 3%, green 5%, green 5%);
    }

    100% {
        background-image: repeating-linear-gradient(30deg, green 1%, green 3%, darkgreen 5%, darkgreen 5%);
    }
}



/**********************************************************************************************************************

File Modal 

**********************************************************************************************************************/
/* #inputGroupSelect01{
    width: 100% !important;
} */
select.form-control:not([size]):not([multiple]) {
    height: auto !important;
}

.fileTypeSelection {
    width: 50%;
}

.close{
    font-size: 30px !important;
}

.modal-content{
    box-shadow: none !important;
    border-radius: 0px !important;
    height: 710px;
}
.modal-dialog {
    position: absolute;
    top: 140px;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 10040;
    /* overflow-y: hidden; */
}
.modal-footer{
    border-top: 0 !important;
}
.addFileDesc {
    font-size: 13px;
}

#textCenter {
    text-align: center;
}

.sidePanel {
    width: 325px;
    height: 300px;
    float: left;
    margin-right: 10px;
}

.copyBtn {
    float: right;
}

table td:nth-of-type(1) {
    width: 120px;
}

table td:nth-of-type(2) {
    width: 200px;
}

.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}

.tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 6px 8px;
    transition: 0.3s;
    font-size: 12px;
}

.tab button:hover {
    background-color: #ddd;
}

.tab button.active {
    background-color: #ccc;
}

.tabcontent {
    font-size: 12px !important;
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc !important;
}

#pointDesignCodeOutput, #lineDesignCodeOutput, 
#polyDesignCodeOutput, #simpleDesignCodeOutput, 
#OGCDesignCodeOutput {
    width: 300px;
    height: 250px;
    overflow-y: auto;
    border: 1px solid #ccc !important;
}

#lineStrokeDashArray {
    border: 1px solid #ccc !important;
}

#previewLoadingIcon {
    position: absolute;
    right: 20%;
    bottom: 25%;
}

#mainLoadingIcon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
/* Census Legend */
.big-number {
    text-align: center;
    font-size: 24px;
    font-weight: bold;
    width: 100%;
    margin: 10px 0;
}
/* WFC File Exporer */
#typeNames{
    width: 50%;
}